package com.muchinfo.mtp3common.enumtype;

import lombok.Getter;

@Getter
public enum SysConstantsEnum {

    // 1. 字段(枚举实例)
    SYS_TYPE_MANAGE(1, "管理端,平台管理员!"),
    SYS_TYPE_CLIENT(2,"交易客户端,会员管理员"),
    SYS_TYPE_MEMBER(3,"会员平台,会员子机构管理员"),
    SYS_TYPE_MANAGE_NEW(6, "管理端,平台管理员!"),
    ;


    // 2. 枚举实例
    private int code; // 错误码
    private String message; // 错误码对应的错误信息提示语

    // 3. 字段的构造方法


    SysConstantsEnum(int code, String message) {
        this.code = code;
        this.message = message;
    }
}
